[Twisted-Python] Call For Packagers

glyph at divmod.com glyph at divmod.com
Thu Jun 1 18:31:11 EDT 2006

On Thu, 1 Jun 2006 23:57:57 +0200, Eric Faurot <eric.faurot at gmail.com> wrote:
>On 6/1/06, glyph at divmod.com <glyph at divmod.com> wrote:

>>Do our users know that?
>Probably not.

As I suspected :).

>>     http://twistedmatrix.com/trac/wiki/Packages

I've added you to this page, but please add information (what version of Twisted you've packaged, what subprojects are supported, etc) as necessary.  I'd like this page to be updated frequently and be as authoritative as possible.

On #twisted today for the 100th or so time I repeated our packaging situation, poor communication with packagers, no central source of information, etc, and I realized that this is why people think packages like TurboGears are so great.  Probably 50% of Twisted's learning curve is just figuring out how to install it, and that's sad: originally an explicit goal was no non-Python dependencies so that users could just download and run.

Of course these days that's not really feasible, since you *can* run Twisted without dependencies, but nobody wants to use it without SSH support, without conch, and so forth.  So it should be really well documented how to install it on your particular platform.

More information about the Twisted-Python mailing list